package com.gangstar;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.opengl.GLSurfaceView;
import android.os.Bundle;

public class GangStarBattleManager extends Activity {
    /** Called when the activity is first created. */

	
	public int reds;
	public int blues;
	private int attackerWon = 2;
	private int troopsLeft;
	private boolean battleFinnished = false;
	
	public void SetReds(int x) {
		reds = x;
	}
	public void SetBlues(int x) {
		blues = x;
	}
    
    private BattleManager BattleMan;
    /** The OpenGL View */
	private GLSurfaceView glSurface;

	public void SetBattleFinnished (boolean x) {
		battleFinnished = x;
	}
	
	public void SetAttackerWon(int x) {
		attackerWon = x;
		PlayerSingleton.getInstance().setAttackerWon();
		
	}
	
	public void SetTroopsLeft(int x) {
		troopsLeft = x;
		PlayerSingleton.getInstance().setTroopsLeft(troopsLeft);
	}
    
    public void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        setContentView(R.layout.battle);
        
        reds=getIntent().getIntExtra("reds", 0);
        blues=getIntent().getIntExtra("blues", 0);
        
        BattleMan = new BattleManager(reds, blues, this, this);
        
        
		//Create an Instance with this Activity
		glSurface = new GLSurfaceView(this);
		//Set our own Renderer
		glSurface.setRenderer(BattleMan);
		//Set the GLSurface as View to this Activity
		setContentView(glSurface);        
    }

	/**
	 * Remember to resume the glSurface
	 */
	@Override
	protected void onResume() {
		super.onResume();
		glSurface.onResume();
	}

	/**
	 * Also pause the glSurface
	 */
	@Override
	protected void onPause() {
		super.onPause();
		glSurface.onPause();
		
	}
	

	
	

}