/**
 * The WeaponSMG class implements the Weapon interface.
 * It holds the information of how much damage the weapon can
 * deal out. getWeaponDamage() return the damage the weapon deals
 * out, as promised by Weapon interface.
 * 
 * @author Japskua
 * @see Weapon
 *
 */

package com.gangstar;

/**
 * The SMG Weapon implements the Weapon interface.
 * @version 1.0
 * @author parkkila
 *
 */
public class WeaponSMG implements Weapon {

	private int weaponDamage;
	/**
	 * The basic creator, that sets the weapon's damage
	 */
	public WeaponSMG() {
		weaponDamage = 20;
	}
	
	public int getWeaponDamage() {
		return weaponDamage;
	}

}
