/**
 * The WeaponAK47 class implements the Weapon interface.
 * It holds the information of how much damage the weapon can
 * deal out. getWeaponDamage() return the damage the weapon deals
 * out, as promised by Weapon interface.
 * 
 * @author Japskua
 * @see Weapon
 *
 */

package com.gangstar;

/**
 * 
 * @author Japskua
 * @version 1.0
 * 
 * AK47 is a strong weapon used by many gangsters.
 *
 */
public class WeaponAK47 implements Weapon {

	private int weaponDamage;
	/**
	 * The basic creator, that sets the weapon's damage
	 * @author Japskua
	 * 
	 */
	public WeaponAK47() {
		weaponDamage = 47;
	}

	public int getWeaponDamage() {
		return weaponDamage;
	}

}
